java.io

## Class UnsupportedEncodingException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - java.io.UnsupportedEncodingException

All Implemented Interfaces:
  Serializable

    public class UnsupportedEncodingException
    extends IOException

The Character Encoding is not supported.

Since:
  JDK1.1
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`UnsupportedEncodingException()` Constructs an UnsupportedEncodingException without a detail message.
`UnsupportedEncodingException(String s)` Constructs an UnsupportedEncodingException with a detail message.

### Method Summary

### Methods inherited from class java.lang.Throwable

`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### UnsupportedEncodingException

    public UnsupportedEncodingException()

Constructs an UnsupportedEncodingException without a detail message.

#### UnsupportedEncodingException

    public UnsupportedEncodingException(String s)

Constructs an UnsupportedEncodingException with a detail message.

Parameters:
  `s` - Describes the reason for the exception.

Copyright © 1993, 2017, Oracle and/or its affiliates. All rights reserved.